Fast Track instructions out ot date?

Anthony Molinaro anthonym at alumni.caltech.edu
Tue Dec 7 16:20:54 EST 2010


Aww, looks like luwak got updated a few hours ago to use
riak_kv 0.14 branch so thats where the dependency is coming
from, just FYI.

-Anthony

On Tue, Dec 07, 2010 at 01:17:58PM -0800, Anthony Molinaro wrote:
> Hi,
> 
> I was just going through the fast track and am getting an error about
> dependency issues.
> 
>   % git clone git://github.com/basho/riak.git
>   Initialized empty Git repository in
>   /home/molinaro/projects/opensource/riak/.git/
>   remote: Counting objects: 10571, done.
>   remote: Compressing objects: 100% (3214/3214), done.
>   remote: Total 10571 (delta 7065), reused 10518 (delta 7036)
>   Receiving objects: 100% (10571/10571), 8.62 MiB | 2837 KiB/s, done.
>   Resolving deltas: 100% (7065/7065), done.
>   % cd riak 
>   % make all
>   ./rebar get-deps
>   ==> rel (get-deps)
>   ==> riak (get-deps)
>   Pulling cluster_info from {git,"git://github.com/basho/cluster_info","HEAD"}
>   Initialized empty Git repository in
>   /home/molinaro/projects/opensource/riak/deps/cluster_info/.git/
>   Pulling luwak from {git,"git://github.com/basho/luwak","HEAD"}
>   Initialized empty Git repository in
>   /home/molinaro/projects/opensource/riak/deps/luwak/.git/
>   Pulling riak_kv from {git,"git://github.com/basho/riak_kv","HEAD"}
>   Initialized empty Git repository in
>   /home/molinaro/projects/opensource/riak/deps/riak_kv/.git/
>   Pulling riak_err from {git,"git://github.com/basho/riak_err","HEAD"}
>   Initialized empty Git repository in
>   /home/molinaro/projects/opensource/riak/deps/riak_err/.git/
>   ==> cluster_info (get-deps)
>   ==> luwak (get-deps)
>   Pulling skerl from {git,"git://github.com/basho/skerl","HEAD"}
>   Initialized empty Git repository in
>   /home/molinaro/projects/opensource/riak/deps/skerl/.git/
>   ERROR: Dependency dir /home/molinaro/projects/opensource/riak/deps/riak_kv
>   does not satisfy version regex 0.14.*.
>   gmake: *** [deps] Error 1
> 
> I haven't quite figured out why because it seems like the rebar.config for
> riak has version 0.13.0 in it for riak_kv, so....????
> 
> -Anthon
> 
> -- 
> ------------------------------------------------------------------------
> Anthony Molinaro                           <anthonym at alumni.caltech.edu>

-- 
------------------------------------------------------------------------
Anthony Molinaro                           <anthonym at alumni.caltech.edu>



More information about the riak-users mailing list